Apache C++ Standard Library Reference Guide

## bad_alloc

Library: Language support

    bad_alloc  exception

- Local Index
- Summary
- Synopsis
- Description
- Interface
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

An exception class

### Synopsis

    #include <new>

### Description

Objects of class bad_alloc are thrown when the implementation cannot allocate storage. The class is derived from exception, and thrown by allocator, `new`, and others.

### Interface

    namespace std {
      class bad_alloc : public exception {
      public:
        bad_alloc() throw();
        bad_alloc(const bad_alloc&) throw();
        bad_alloc& operator=(const bad_alloc&) throw();
        virtual ~bad_alloc() throw();
        virtual const char* what() const throw();
      };
    }

### See Also

Exceptions, bad_cast, bad_exception, bad_typeid, domain_error, exception, invalid_argument, ios_base::failure, length_error, logic_error, out_of_range, overflow_error, range_error, runtime_error, underflow_error

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems --Programming Language C++, Section 18.4.2.1